Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins.jetty
Class JettyPluginWebAppContext

    java.lang.Object
      org.mortbay.component.AbstractLifeCycle
          org.mortbay.jetty.handler.AbstractHandler
              org.mortbay.jetty.handler.AbstractHandlerContainer
                  org.mortbay.jetty.handler.HandlerWrapper
                      org.mortbay.jetty.handler.ContextHandler
                          org.mortbay.jetty.servlet.Context
                              org.mortbay.jetty.webapp.WebAppContext
                                  org.gradle.api.plugins.jetty.JettyPluginWebAppContext

    class JettyPluginWebAppContext
    extends org.mortbay.jetty.webapp.WebAppContext

Jetty6PluginWebAppContext

Field Summary

Fields inherited from class org.mortbay.jetty.webapp.WebAppContext
WEB_DEFAULTS_XML, ERROR_PAGE, SESSIONS, SECURITY, NO_SESSIONS, NO_SECURITY, MANAGED_ATTRIBUTES, DEFAULT, REQUEST, FORWARD, INCLUDE, ERROR, ALL

Fields inherited from class org.mortbay.jetty.servlet.Context
SESSIONS, SECURITY, NO_SESSIONS, NO_SECURITY, MANAGED_ATTRIBUTES, DEFAULT, REQUEST, FORWARD, INCLUDE, ERROR, ALL

Fields inherited from class org.mortbay.jetty.handler.ContextHandler
MANAGED_ATTRIBUTES, DEFAULT, REQUEST, FORWARD, INCLUDE, ERROR, ALL

Fields inherited from class org.mortbay.jetty.handler.HandlerWrapper
DEFAULT, REQUEST, FORWARD, INCLUDE, ERROR, ALL

Fields inherited from class org.mortbay.jetty.handler.AbstractHandlerContainer
DEFAULT, REQUEST, FORWARD, INCLUDE, ERROR, ALL

Fields inherited from class org.mortbay.jetty.handler.AbstractHandler
DEFAULT, REQUEST, FORWARD, INCLUDE, ERROR, ALL

Constructor Summary
`JettyPluginWebAppContext()`

Method Summary
`void` | `configure()`
`void` | `doStart()`
`void` | `doStop()`
`List` | `getClassPathFiles()`
`File` | `getJettyEnvXmlFile()`
`File` | `getWebXmlFile()`
`void` | `setClassPathFiles(List classpathFiles)`
`void` | `setJettyEnvXmlFile(File jettyEnvXmlFile)`
`void` | `setWebXmlFile(File webXmlFile)`

Methods inherited from class org.mortbay.jetty.webapp.WebAppContext
setDescriptor, setClassLoader, addEventListener, setPermissions, getCurrentWebAppContext, addWebApplications, addWebApplications, addWebApplications, addWebApplications, getUnavailableException, setResourceAlias, getResourceAliases, setResourceAliases, getResourceAlias, removeResourceAlias, dumpUrl, getConfigurationClasses, getDefaultsDescriptor, getOverrideDescriptor, getServerClasses, getSystemClasses, getTempDirectory, isTempWorkDirectory, getWar, getWebInf, isDistributable, isExtractWAR, isCopyWebDir, isParentLoaderPriority, setConfigurationClasses, setConfigurations, setDefaultsDescriptor, setOverrideDescriptor, setDistributable, setEventListeners, setExtractWAR, setCopyWebDir, setParentLoaderPriority, setServerClasses, setSystemClasses, setTempDirectory, setWar, getExtraClasspath, setExtraClasspath, isLogUrlOnStart, setLogUrlOnStart, toString, getResource, getDescriptor, handle, getPermissions, getConfigurations, addFilter, addFilter, addFilter, getSecurityHandler, getServletHandler, getSessionHandler, addServlet, addServlet, addServlet, setSessionHandler, setSecurityHandler, setServletHandler, setAttribute, setDisplayName, setErrorHandler, getErrorHandler, getCurrentContext, setContextPath, getContextPath, getBaseResource, getResourceBase, setBaseResource, getEventListeners, getVirtualHosts, getServletContext, getAllowNullPathInfo, setAllowNullPathInfo, setServer, setVirtualHosts, setHosts, getHosts, getConnectorNames, setConnectorNames, getInitParameter, getInitParameterNames, getInitParams, isShutdown, setShutdown, clearAttributes, setInitParams, setResourceBase, getMimeTypes, setMimeTypes, setWelcomeFiles, getWelcomeFiles, getMaxFormContentSize, setMaxFormContentSize, isCompactPath, setCompactPath, addLocaleEncoding, getLocaleEncoding, getResourcePaths, loadClass, getClassLoader, getClassPath, getAttributes, getDisplayName, getAttribute, setAttributes, removeAttribute, getAttributeNames, setHandler, getHandler, addHandler, removeHandler, getChildHandlerByClass, getChildHandlersByClass, getChildHandlers, getServer, destroy, isStarted, isStarting, isStopping, isStopped, isFailed, addLifeCycleListener, removeLifeCycleListener, start, stop, isRunning, hashCode, getClass, equals, wait, wait, wait, notify, notifyAll

Methods inherited from class org.mortbay.jetty.servlet.Context
addFilter, addFilter, addFilter, getSecurityHandler, getServletHandler, getSessionHandler, addServlet, addServlet, addServlet, setSessionHandler, setSecurityHandler, setServletHandler, setAttribute, setDisplayName, setClassLoader, setErrorHandler, getErrorHandler, addEventListener, setEventListeners, getCurrentContext, setContextPath, getContextPath, getBaseResource, getResourceBase, setBaseResource, getEventListeners, getVirtualHosts, getServletContext, getAllowNullPathInfo, setAllowNullPathInfo, setServer, setVirtualHosts, setHosts, getHosts, getConnectorNames, setConnectorNames, getInitParameter, getInitParameterNames, getInitParams, isShutdown, setShutdown, clearAttributes, setInitParams, setResourceBase, getMimeTypes, setMimeTypes, setWelcomeFiles, getWelcomeFiles, getMaxFormContentSize, setMaxFormContentSize, isCompactPath, setCompactPath, addLocaleEncoding, getLocaleEncoding, getResourcePaths, toString, loadClass, getClassLoader, getResource, handle, getClassPath, getAttributes, getDisplayName, getAttribute, setAttributes, removeAttribute, getAttributeNames, setHandler, getHandler, addHandler, removeHandler, getChildHandlerByClass, getChildHandlersByClass, getChildHandlers, getServer, destroy, isStarted, isStarting, isStopping, isStopped, isFailed, addLifeCycleListener, removeLifeCycleListener, start, stop, isRunning, hashCode, getClass, equals, wait, wait, wait, notify, notifyAll

Methods inherited from class org.mortbay.jetty.handler.ContextHandler
setAttribute, setDisplayName, setClassLoader, setErrorHandler, getErrorHandler, addEventListener, setEventListeners, getCurrentContext, setContextPath, getContextPath, getBaseResource, getResourceBase, setBaseResource, getEventListeners, getVirtualHosts, getServletContext, getAllowNullPathInfo, setAllowNullPathInfo, setServer, setVirtualHosts, setHosts, getHosts, getConnectorNames, setConnectorNames, getInitParameter, getInitParameterNames, getInitParams, isShutdown, setShutdown, clearAttributes, setInitParams, setResourceBase, getMimeTypes, setMimeTypes, setWelcomeFiles, getWelcomeFiles, getMaxFormContentSize, setMaxFormContentSize, isCompactPath, setCompactPath, addLocaleEncoding, getLocaleEncoding, getResourcePaths, toString, loadClass, getClassLoader, getResource, handle, getClassPath, getAttributes, getDisplayName, getAttribute, setAttributes, removeAttribute, getAttributeNames, setHandler, getHandler, addHandler, removeHandler, getChildHandlerByClass, getChildHandlersByClass, getChildHandlers, getServer, destroy, isStarted, isStarting, isStopping, isStopped, isFailed, addLifeCycleListener, removeLifeCycleListener, start, stop, isRunning, hashCode, getClass, equals, wait, wait, wait, notify, notifyAll

Methods inherited from class org.mortbay.jetty.handler.HandlerWrapper
setHandler, setServer, handle, getHandler, addHandler, removeHandler, getChildHandlerByClass, getChildHandlersByClass, getChildHandlers, getServer, toString, destroy, isStarted, isStarting, isStopping, isStopped, isFailed, addLifeCycleListener, removeLifeCycleListener, start, stop, isRunning, hashCode, getClass, equals, wait, wait, wait, notify, notifyAll

Methods inherited from class org.mortbay.jetty.handler.AbstractHandlerContainer
getChildHandlerByClass, getChildHandlersByClass, getChildHandlers, getServer, setServer, toString, destroy, isStarted, isStarting, isStopping, isStopped, isFailed, addLifeCycleListener, removeLifeCycleListener, start, stop, isRunning, hashCode, getClass, equals, wait, wait, wait, notify, notifyAll, handle, addHandler, removeHandler

Methods inherited from class org.mortbay.jetty.handler.AbstractHandler
getServer, setServer, toString, destroy, isStarted, isStarting, isStopping, isStopped, isFailed, addLifeCycleListener, removeLifeCycleListener, start, stop, isRunning, hashCode, getClass, equals, wait, wait, wait, notify, notifyAll, handle

Methods inherited from class org.mortbay.component.AbstractLifeCycle
isStarted, isStarting, isStopping, isStopped, isFailed, addLifeCycleListener, removeLifeCycleListener, start, stop, isRunning, hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### JettyPluginWebAppContext

    public JettyPluginWebAppContext()

Method Detail

### configure

    public void configure()

### doStart

    public void doStart()

### doStop

    public void doStop()

### getClassPathFiles

    public List getClassPathFiles()

### getJettyEnvXmlFile

    public File getJettyEnvXmlFile()

### getWebXmlFile

    public File getWebXmlFile()

### setClassPathFiles

    public void setClassPathFiles(List classpathFiles)

### setJettyEnvXmlFile

    public void setJettyEnvXmlFile(File jettyEnvXmlFile)

### setWebXmlFile

    public void setWebXmlFile(File webXmlFile)

Groovy Documentation